#!/bin/sh

# disable the MYO watchdog
export MYO_WATCHDOG_MONITOR=-1

# have the MIC binaries on the host side
export AMPLXE_COI_DEBUG_SUPPORT=TRUE

MPSS_VERSION=`rpm -q mpss-sdk-k1om --queryformat '%{version}'`

if [ -z "$GDB_HOST" ] ; then
    export GDB_HOST="/opt/mpss/$MPSS_VERSION/sysroots/x86_64-mpsssdk-linux/usr/bin/gdb"
fi

${GDB_HOST} "$@"
